> For the complete documentation index, see [llms.txt](https://docs.appetize.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appetize.io/rest-api/tags.md).

# Tags

## List Tags

> List all tags in the account, that is currently assigned to a build. The default paging limit is 1000 items per page.

```json
{"openapi":"3.0.3","info":{"title":"Appetize V2 API Reference","version":"2"},"servers":[{"url":"https://api.appetize.io"}],"security":[{"jwt":[]},{"apiToken":[]}],"components":{"securitySchemes":{"apiToken":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"Use an API token for authentication via X-API-KEY header"}},"schemas":{"Pagination":{"type":"object","properties":{"total":{"type":"integer","format":"int32"},"nextPage":{"type":"number","nullable":true,"format":"int32"}}},"TagCollection":{"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"}}}},"Error":{"type":"object","properties":{"message":{"description":"Error message.","type":"string"}}}}},"paths":{"/v2/tags":{"get":{"summary":"List Tags","tags":["Tags"],"description":"List all tags in the account, that is currently assigned to a build. The default paging limit is 1000 items per page.","operationId":"listTags","parameters":[{"in":"query","name":"pageNumber","description":"The index of the desired page","schema":{"type":"number"}},{"in":"query","name":"limit","description":"The number of items to return per page","schema":{"type":"number"}},{"in":"query","name":"search","description":"The search term to filter by, example \"My Tag\".","schema":{"type":"string"}},{"in":"query","name":"platform","description":"The platform to filter by","schema":{"type":"string","enum":["ios","android"]}},{"in":"query","name":"appId","description":"The unique identifier for an app to filter by. On Android this is the package name, on iOS this is the bundle identifier.","schema":{"type":"string"}},{"in":"query","name":"buildId","description":"The unique identifier for the build.","schema":{"type":"string"}},{"in":"query","name":"buildNumber","description":"The build number, as specified by the app. In Android this is the versionCode, in iOS this is the CFBundleVersion.","schema":{"type":"string","format":"int32"}},{"in":"query","name":"versionName","description":"The version name to filter by, example \"1.0.0\".","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"$ref":"#/components/schemas/TagCollection"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```
